#ifndef __CODE_H__
#define __CODE_H__

#include<vector>
#include<vector>
using namespace std;
vector <int> vect;
int idx,vis[1005][1005],manj[1005][1005],nemi[1005],nemj[1005];

int Pitaj(int i, int j);

vector<int> Nadji(int N, int K) {

    if (K==10000 || K==1000000) {

    int n=N;
    bool nista;

    for (int i=1;i<=n;i++) {
        for (int j=1;j<=n;j++) {
            vis[i][j]=Pitaj(i,j);
        }
    }

    for (int i=1;i<=n;i++) {
        idx=1;
        for (int j=2;j<=n;j++) {
            if (vis[i][j] > vis[i][idx]) idx=j;
        }

        nista=false;

        for (int j=1;j<=n;j++) {
            if (j==idx) continue;
            if (vis[i][j]==vis[i][idx]) {
                nista=true;
                break;
            }
        }

        if (!nista) manj[i][idx]++;
    }

    for (int j=1;j<=n;j++) {
        idx=1;
        for (int i=2;i<=n;i++) {
            if (vis[i][j] < vis[idx][j]) idx=i;
        }

        nista=false;
        for (int i=1;i<=n;i++) {
            if (i==idx) continue;
            if (vis[i][j]==vis[idx][j]) {
                nista=true;
                break;
            }

        }

        if (!nista) manj[idx][j]++;
    }

    for (int i=1;i<=n;i++) {
        for (int j=1;j<=n;j++) {
            if (manj[i][j] == 2) {
                vect.push_back(i);
                vect.push_back(j);
            }
        }
    }

    if (!vect.size()) {
        vect.push_back(0);
        vect.push_back(0);
    }

    return vect;
    }
    else if (K==5000) {

        for (int i=1;i<=N;i++) vis[i][1]=Pitaj(i,1);
        for (int j=1;j<=N;j++) vis[1][j]=Pitaj(1,j);

        for (int i=1;i<=n;i++) {
            for (int j=1;j<=n;j++) {
                if (nemi[i]==true || nemj[j]==true) continue;

                if (vis[i][1]==3 && vis[1][j]==1) {

                }
            }
        }

    }
}



#endif /* __CODE_H__ */